Tkinter on Mac OS crashes python

Terry Reedy tjreedy at udel.edu
Wed May 15 16:58:17 EDT 2019


On 5/15/2019 2:25 PM, Chip Towner wrote:
> Terry,
> Thanks for the input and FYI I am running 10.14.4 Mojave.  When I looked at the version of tkinter as suggested by Chris Angelico earlier in this thread it returned '/Users/chip/anaconda3/lib/python3.6/tkinter/__init__.py’.  This is obviously not he build Apple provided and I believe Apple’s version of python is version 2.7 and I need to use 3.6 for my current efforts.

FYI: Apple's version of python comes with a version of tcl/tk that does 
not work with Apple's current graphics.  Apple does not care because 
Apple does not use tkinter/tk.  Hence, even if one does want to use 2.7, 
and tkinter with it, one must install a newer tcl/tk 8.5 compiled for 
macOS.  The same is true for early 3.6 releases and before.  There is a 
webpage linked on the download page that explains.    Mac users should 
best ignore the system Python and install something else.

-- 
Terry Jan Reedy




More information about the Python-list mailing list